@inproceedings{Sco04,
 author = {Claudio Scordino and Giuseppe Lipari},
 title = {Using resource reservation techniques for power-aware scheduling},
 booktitle = {EMSOFT '04: Proceedings of the 4th ACM international conference on Embedded software},
 year = {2004},
 isbn = {1-58113-860-1},
 pages = {16--25},
 location = {Pisa, Italy},
 doi = {http://doi.acm.org/10.1145/1017753.1017761},
 publisher = {ACM Press},
 address = {New York, NY, USA},
 }
@inproceedings{Lip01,
 author = {Giuseppe Lipari and Sanjoy Baruah},
 title = {A Hierarchical Extension to the Constant Bandwidth Server Framework},
 booktitle = {RTAS '01: Proceedings of the Seventh Real-Time Technology and Applications Symposium (RTAS '01)},
 year = {2001},
 pages = {26},
 publisher = {IEEE Computer Society},
 address = {Washington, DC, USA},
 }

 @InProceedings{Ster00,
  author = 	{David Steere and Molly H. Shor and Ashvin Goel and Jonathan Walpole and Calton P},
  title = 	  {Control and modeling issues in computer operating systems: Resource management for real-rate computer applications.},
  OPTcrossref =  {},
  OPTkey = 	 {},
  booktitle = {Proceedings of 39th IEEE Conference on Decision and Control (CDC00)},
  OPTpages = 	 {},
  year = 	 {2000},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  month = 	 {December},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}


@Misc{PPATCH,
  title =	 {Preemption patch,
                  \url{http://kpreempt.sourceforge.net/}},
  howpublished = {Web site},
}


@Misc{HRTimers,
  title =	 {High Resolution Timers,
                  \url{http://high-res-timers.sourceforge.net}},
  howpublished = {Web site},
}

@Misc{LTT,
  title =	 {Linux Trace Toolkit,
                  \url{http://www.opersys.com/LTT}},
  howpublished = {Web site},
}



@Misc{FFMPEG,
  title =	 {FFMPEG project,
                  \url{http://ffmpeg.sourceforge.net/}},
  howpublished = {Web site},
}

@InProceedings{Abe00,
  author =	 {Luca Abeni and Luigi Palopoli and Giorgio Buttazzo},
  title =	 {On Adaptive Control Techniques in Real-Time Resource
                  Allocation},
  booktitle =	 {Proceedings of the Euromicro Conference on Real-Time
                  Systems},
  OPTcrossref =	 {},
  OPTkey =	 {},
  OPTpages =	 {},
  year =	 {2000},
  OPTeditor =	 {},
  OPTvolume =	 {},
  OPTnumber =	 {},
  OPTseries =	 {},
  address =	 {Stockholm, Sweden},
  month =	 {June},
  OPTorganization ={},
  OPTpublisher = {},
  OPTnote =	 {},
  OPTannote =	 {}
}

@InProceedings{Abe01,
  author =	 {Luca Abeni and Giorgio Buttazzo},
  title =	 {Hierarchical QoS Management for Time Sensitive
                  Applications},
  booktitle =	 {Proceedings of the IEEE Real-Time Technology and
                  Applications Symposium (RTAS 2001)},
  OPTcrossref =	 {},
  OPTkey =	 {},
  OPTpages =	 {},
  year =	 {2001},
  OPTeditor =	 {},
  OPTvolume =	 {},
  OPTnumber =	 {},
  OPTseries =	 {},
  address =	 {Taipei, Taiwan},
  month =	 {May},
  OPTorganization ={},
  OPTpublisher = {},
  OPTnote =	 {},
  OPTannote =	 {}
}

@InProceedings{Abe02,
  title =	 {Analysis of a Reservation-Based Feedback Scheduler},
  author =	 {Luca Abeni and Luigi Palopoli and Giuseppe Lipari
                  and Jonathan Walpole},
  booktitle =	 {Proc. of the Real-Time Systems Symposium},
  year =	 {2002},
  address =	 {Austin, Texas},
  month =	 {November}
}

@TechReport{Abe98,
  author =	 {Luca Abeni},
  title =	 {Server Mechanisms for Multimedia Applications},
  institution =	 {Scuola Superiore S. Anna},
  number =	 {RETIS TR98-01},
  year =	 {1998}
}

@MastersThesis{Abe98-1,
  author =	 {Luca Abeni},
  title =	 {Progetto e Realizzazione di Meccanismi di Sistema
                  per Applicazioni Real-Time Multimediali},
  school =	 {Universit\`a degli studi di Pisa},
  year =	 {1997},
  OPTkey =	 {},
  OPTtype =	 {},
  OPTaddress =	 {},
  month =	 {Aprile},
  OPTnote =	 {},
  OPTannote =	 {}
}

@inproceedings{Abe98-2,
  author =	 {Luca Abeni and Giorgio Buttazzo},
  title =	 {Integrating Multimedia Applications in Hard
                  Real-Time Systems},
  booktitle =	 {Proceedings of the IEEE Real-Time Systems Symposium},
  year =	 1998,
  month =	 {December},
  address =	 {Madrid, Spain},
  key =		 {scheduling, multimedia}
}

@inproceedings{Abe98-3,
  author =	 {Luca Abeni and Giorgio Buttazzo},
  title =	 {QoS Guarantee Using Probabilistic Dealines},
  booktitle =	 {Proceedings of the IEEE Euromicro Conference on
                  Real-Time Systems},
  year =	 1999,
  month =	 {June},
  address =	 {York, England},
  key =		 {scheduling}
}

@inproceedings{Abe98-4,
  author =	 {Luca Abeni and Giorgio Buttazzo},
  title =	 {Constant Bandwidth vs. Proportional Share Resource
                  Allocation},
  booktitle =	 {Proceedings of the IEEE International Conference on
                  Mutimedia Computing and Systems},
  year =	 1999,
  month =	 {June},
  address =	 {Florence, Italy},
  key =		 {scheduling, multimedia}
}

@inproceedings{Abe99-3,
  author =	 {Luca Abeni and Giorgio Buttazzo},
  title =	 {Adaptive Bandwidth Reservation for Multimedia
                  Computing},
  booktitle =	 {Proceedings of the IEEE Real Time Computing Systems
                  and Applications},
  year =	 1999,
  month =	 {December},
  address =	 {Hong Kong},
  key =		 {scheduling, multimedia}
}

@inproceedings{Atl98,
  author =	 {Alia K. Atlas and Azer Bestavros},
  title =	 {Statistical Rate Monotonic Scheduling},
  booktitle =	 {Proceedings of the IEEE Real-Time Systems Symposium},
  year =	 1998,
  month =	 {December},
  address =	 {Madrid, Spain},
  key =		 {scheduling, multimedia}
}


@InProceedings{Bak90,
  author =	 {T. P. Baker},
  title =	 {A Stack-Based Allocation Policy for Realtime
                  Processes},
  booktitle =	 {Proceedings of the IEEE Real Time Systems Symposium},
  year =	 {1990},
  month =	 {december}
} 


@Article{Bak91,
  author =	 {T. P. Baker},
  title =	 {Stack-Based Scheduling of Real-Time Processes},
  journal =	 {Real-Time Systems},
  year =	 {1991},
  number =	 {3}
}

@inproceedings{Bar93,
  author    = {Sanjoy K. Baruah and Aloysius K. Mok and Louis E. Rosier},
  title     = {Preemptively Scheduling Hard-Real-Time Sporadic Tasks on One 
               Processor},
  booktitle = {},
  year      = 1993,
  pages     = "182--190"
}

@Article{Bar96,
  author =   {S.K. Baruah and N.K. Cohen and C.G. Plaxton and D.A. Varvel},
  title =    {Proportionate Progress: A Notion of Fairness in Resource
                 Allocation},
  journal =      {Algorithmica},
  year =     {1996},
  keyword =      {Scheduling, fairness},
  volume =   {6}
}

@InProceedings{Bar98,
  author = 	 {Paul Barham and Simon Crosby and Tim Granger and Neil Stratford and Fergal Toomey and Muriel Huggard},
  title = 	 {Measurement Based Admission Control and Resource Allocation for Multimedia Applications},
  booktitle = 	 {Proceedings of IEEE {MMCN'98}},
  OPTcrossref =  {},
  OPTkey = 	 {},
  OPTpages = 	 {},
  year = 	 {1998},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  address = 	 {San Jose, California},
  month = 	 {January},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}

@Article{Bla99,
  author = 	 {F. Blanchini},
  title = 	 {Set Invariance in Control},
  journal = 	 {Automatica},
  year = 	 {1999},
  OPTkey = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTpages = 	 {},
  OPTmonth = 	 {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}

@Book{BookChaos,
  author = 	 {A. Lasota and M.C. Mackey},
  editor = 	 {Springer},
  title = 	 {Chaos, Fractals, and Noise -- Stochastic Aspects of Dynamics},
  publisher = 	 {Springer},
  year = 	 {1994},
  OPTkey = 	 {},
  volume = 	 {Applied Mathematical Sciences 97},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  edition = 	 {second},
  OPTmonth = 	 {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}

@InProceedings{Boyd93,
  author =	 {S. Boyd and V. Balakrishnna and E. Feron and L. El
                  Ghaoui},
  title =	 {Control system analysis and synthesis via linear
                  matrix inequalities },
  booktitle =	 {Proc. of American Control Conference},
  year =	 {1993},
  month =	 {June},
  address =	 {S. Francisco, USA},
}

@InProceedings{Bra98,
  author = 	 {S. Brandt and G. Nutt and T. Berk and J. Mankovich},
  title = 	 {A Dynamic Quality of Service Middleware Agent for Mediating Application Resource Usage},
  booktitle = {Proceedings of the IEEE Real Time Systems Symposium},
  year = 	 {1998},
  month = 	 {December}
}

@InProceedings{Bry97,
  author = 	 {Bryan Ford and Godmar Back and Greg Benson and Jay Lepreau and
  Albert Lin and Olin Shivers},
  title = 	 {The Flux OSKit: A Substrate for OS and Language Research},
  booktitle = 	 {16 ACM Symposium on Operating Systems Principles},
  year = 	 {1997},
  address =  {Saint-Malo, France},
  month = 	 {October}
}

@InProceedings{But93-1,
  author = 	 {G. C. Buttazzo},
  title = 	 {HARTIK: A Real-Time Kernel for Robotics Applications},
  booktitle = 	 {Proceedings of the IEEE Real-Time Systems Symposium},
  year = 	 {1993},
  month = 	 {December}
}

@InProceedings{But93-2,
  author = 	 {G. C. Buttazzo and J. Stankovic},
  title = 	 {RED: Robust Earliest Deadline Scheduling},
  booktitle = 	 {Third International Workshop on Responsive Computing 
                  Systems},
  year = 	 {1993},
  OPTaddress = 	 {Austin}
}

@inproceedings{But98,
  author    = {Giorgio Buttazzo and Luca Abeni and Giuseppe Lipari},
  title     = {Elastic Task Model for Adaptive Rate Control},
  booktitle = {Proceedings of the IEEE Real Time Systems Symposium},
  year      = 1998,
  month    = {December},
  address   = {Madrid, Spain},
  key       = {scheduling, multimedia}
}


@InProceedings{CDC03,
  author = 	 {L. Palopoli and T. Cucinotta and A. Bicchi},
  title = 	 {Quality of service control in soft real-time applications},
  booktitle = 	 {Conference on Decision and Control (CDC)},
  year = 	 {2003},
  OPTkey = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTpages = 	 {},
  OPTmonth = 	 {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}

@InProceedings{Car00,
  author = 	 {I. Cardei and R. Jha and M. Cardei and A. Pavan},
  title = 	 {Hierarchical Architecture For Real-Time Adaptive Resource Management},
  booktitle = 	 {Proceedings of The IFIP/ACM International Conference on Distributed Systems Platforms and Open Distributed Processing},
  OPTcrossref =  {},
  OPTkey = 	 {},
  OPTpages = 	 {},
  year = 	 {2000},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  month = 	 {April},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}

@InProceedings{Cas98,
  author = 	 {Antonino Casile and Giorgio Buttazzo and Gerardo Lamastra and Giuseppe Lipari},
  title = 	 {Simulation and Tracing of Hybrid Task Sets on Distributed Systems},
  booktitle = 	 {Proceedings of the IEEE Conference on Real Time Computing Systems and Applications},
  year = 	 {1998}
}

@inproceedings{Che98,
  author    = {Chen Lee and  Raj Rajkumar and John Lehoczky and Dan Siewiorek},
  title     = {Pratical Solutions for QoS-Based Resource Allocation},
  booktitle = {Proceedings of the IEEE Real Time Systems Symposium},
  year      = 1998,
  month    = {December},
  address   = {Madrid, Spain},
  key       = {scheduling, multimedia}
}

@inproceedings{Chu97,
  author    = {Hao-Hua Chu and Klara Nahrstedt},
  title     = {A Soft Real Time Scheduling Server in UNIX Operating 
                 System},
  booktitle = {European Workshop on Interactive Distributed Multimedia Systems
               and Telecommunication Services},
  year      = 1997,
  month    = {September},
  address   = {Darmstadt, Germany},
  key       = {scheduling, multimedia, real-time Unix}
}

@TechReport{Chu98-1,
  author = 	 {Hao-hua Chu and Klara Nahrstedt},
  title = 	 {{CPU} Service Classes for Multimedia Applications},
  institution =  {University of Illinois},
  year = 	 {1998},
  key = 	 {multimedia, Qos, scheduling},
  address = 	 {Urbana Champaign},
  month = 	 {August},
  number = 	 {UIUCDCS-R-98-2068,UILU-ENG-98-1730}
}

@inProceedings{Chu99,
  author = 	 {Hao-hua Chu and Klara Nahrstedt},
  title = 	 {{CPU} Service Classes for Multimedia Applications},
  booktitle = {Proceedings of the IEEE International Conference on Mutimedia Computing and Systems},
  year      = 1999,
  month    = {June},
  address   = {Florence, Italy},
  key = 	 {multimedia, Qos, scheduling}
}

@inproceedings{Com94,
  author    = {Charles L. Compton and David L. Tennenhouse},
  title     = {Collaborative Load Shedding for Media-Based Applications},
  booktitle = {Proceedings of the International Conference on Multimedia Computing and Systems},
  year      = 1994
}

@InProceedings{Cor62,
  author = 	 {F. J. Corbato and M. Merwin-Dagget and R. C. Daley},
  title = 	 {An Experimental Time-sharing System},
  booktitle = 	 {Proceedings of the AFIPS Joint Computer Conference},
  OPTcrossref =  {},
  OPTkey = 	 {},
  OPTpages = 	 {},
  year = 	 {1962},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  month = 	 {May},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}

@inproceedings{Cou93,
  author    = {Geoff Coulson and Gordon S. Blair and Philippe Robin and 
               others},
  title     = {Extending CHORUS micro-kernel to support continuous media 
                 applications},
  booktitle = {4th International Workshop on Network and Operating System 
               Support for Digital Audio and Video},
  year      = 1993,
  address   = {Lancaster, UK},
  key       = {operating system, multimedia}
}

@InProceedings{Dem89,
  author = 	 {A. Demers and S. Keshav and S. Shenker},
  title = 	 {Analysis and Simulation of a Fair Queueing Alorithm},
  booktitle = 	 {ACM SIGCOMM},
  pages = 	 {1-12},
  year = 	 {1989},
  month = 	 {September}
}

@inproceedings{Den97-1,
  author    = {Z. Deng and J. W. S. Liu and J. Sun},
  title     = {A Scheme for Scheduling Hard Real-Time Applications in Open
                 System Environment},
  booktitle = {Proceedings of the Ninth Euromicro Workshop on Real-Time Systems},
  year      = {1997},
  key       = {scheduling}
}

@inproceedings{Den97-2,
  author    = {Z. Deng and J. W. S. Liu},
  title     = {Scheduling Real-Time Applications in Open Envirovment},
  booktitle = {Proceedings of the IEEE Real-Time Systems Symposium},
  year      = {1997},
  month    = {December},
OPTaddress   = {San Francisco},
  key       = {scheduling}
}

@InProceedings{Diot,
  author = 	 {Christophe Diot and Christian Huitema and Thierry Turletti},
  title = 	 {Mutlimedia Applications should be Adaptive},
  key = 	 {multimedia}
}

@InProceedings{Don97,
  author = 	 {Dong-In Kang and Richard Gerber and Manas Sakena},
  title = 	 {Performance-Based Design of Distributed Real-Time Systems},
  booktitle = 	 {Proceedings of the IEEE Real-Time Technology and Applications Symposium},
  pages = 	 {2-13},
  year = 	 {1997},
  month = 	 {June}
}

@TechReport{Don98-1,
  author = 	 {Dong-In Kang and Richard Gerber and Manas Sakena},
  title = 	 {Parametric Design Syntesis of Distributed Embedded Systems},
  institution =  {University of Mariland},
  year = 	 {1998},
  OPTkey = 	 {},
  OPTtype = 	 {},
  number = 	 {UMIACS-TR-98-18}, 
  OPTaddress = 	 {},
  month = 	 {March},
  OPTnote = 	 {},
  OPTannote = 	 {}
}

@TechReport{Don98-2,
  author = 	 {Dong-In Kang and Richard Gerber and Leana Golubchik},
  title = 	 {Automated Techniques for Designing Embedded Signal Processors on Distributed Platforms},
  institution =  {University of Mariland},
  year = 	 {1998},
  OPTkey = 	 {},
  OPTtype = 	 {},
  number = 	 {UMIACS-TR-98-57}, 
  OPTaddress = 	 {},
  month = 	 {October},
  OPTnote = 	 {},
  OPTannote = 	 {}
}

@inproceedings{Fuj95,
  author    = {Hiroshi Fujita and Tatsuo Nakajima and Hiroshi Tezuka},
  title     = {A Processor Reservation System supporting Dynamic QOS 
                 control},
  booktitle = {2nd International Workshop on Real-Time Computing Systems
               and Applications},
  year      = {1995},
  month    = {October}
}
@Unpublished{Ger,
  author = 	 {M. Gergeleit and H. Streich},
  title = 	 {TaskPair-Scheduling with Optimistic Case Execution 
                    Times - An Example for an Adaptive Real-Time System},
  institution =  {Research Division of Responsive Systems National Center for 
                  Computer Science},
  key = 	 {scheduling, dynamic real-time systems, guarantee, exception 
                  handling}
}
@Article{Gha95,
  author = 	 {T. M. Ghazalie and T.P. Baker},
  title = 	 {Aperiodic Servers In A Deadline Scheduling Environment},
  journal = 	 {Real-Time Systems},
  year = 	 {1995},
  volume =       {9}
}
@inproceedings{Gov91,
  author    = {Ramesh Govindan and D. P. Anderson},
  title     = {Scheduling and IPC Mechanisms for Continuous Media},
  booktitle = {Proceedings of the ACM Symposium on Operating Systems Principles},
  address   = {Pacific Grove},
  year      = 1991,
  key       = {multimedia, scheduling}
}
@inproceedings{Goy96,
  author    = {Pawan Goyal and Xingang Guo and Harrik M. Vin},
  title     = {A Hierarchical CPU Scheduler for Multimedia Operating Systems},
  booktitle = {Proceedings of the 2nd OSDI Symposium},
  month    = {October},
  year      = 1996,
  key       = {scheduling, multimedia, real-time Unix}
}
@InProceedings{Hin01,
title={Analysis of Linear Systems with Saturation using COnvex Optimization},
author={Haitham Hindi and Stephen Boyd},
booktitle={Proc. of the 37th IEEE Conference on decision adn Control (cdc 1998)},
year={1998},
address={Tampa, Florida}}
@inproceedings{Hua95,
  author    = {Tay-Yi Huang and Jane W. S. Liu},
  title     = {Predicting the Worst-Case Execution Time of Concurren 
                 execution of Instructions and Cycle-Stealing DMA I/O 
                 Operations},
  booktitle = {ACM SIGPLAN Workshop on Language, Compilers and Tools for 
               Real-Time Systems},
  address   = "La Jolla, California",
  year      = 1995,
  key       = {DMA, guarantee}
}
@inproceedings{Hua96,
  author    = {Tay-Yi Huang and Jane W. S. Liu and Jen-Yao Chung},
  title     = {Allowing Cycle-Stealing Direct Memory Access I/O Concurrent 
                 with Hard-Real-Time Programs},
  booktitle = {Int. Conf. on Parallel and Distributed Systems},
  address   = {Tokyo},
  year      = 1996,
  key       = {DMA, guarantee}
}
@phdthesis{Hyd94,
  author    = {E. A. Hyden},
  title     = {Operating System Support for Quality of Service},
  school    = {Computer Laboratory, University of Cambridge},
  year      = 1994,
  month    = {February},
  key       = {multimedia, QOS, operating system, scheduling}
 
}
@Book{IDES,
  author = 	 {C. Cassandras and S. Lafortune},
  ALTeditor = 	 {},
  title = 	 {Introduction to Discrete Event Systems},
  publisher = 	 {Kluwer Academic Publishers},
  year = 	 {1999},
  OPTkey = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  OPTedition = 	 {},
  OPTmonth = 	 {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@InProceedings{Jan96,
  author = 	 {Pierre G. Jansen and Emiel Wijgerink},
  title = 	 {Flexible scheduling by Deadline Inheritance in Soft 
                    Real-Time Kernels},
  booktitle = 	 {},
  key = 	 {resource constraints, operating system, pre announcements, 
                  multimedia},
  year = 	 1996
}
@InProceedings{Jef91,
  author = 	 {Kevin Jeffay and D. F. Stanat and C. U. Martel},
  title = 	 {On Non-Preemptive Scheduling of Periodic and Sporadic 
                    Tasks},
  booktitle = 	 {IEEE Real Time System Symposium},
  year = 	 {1991},
  address = 	 {San Antonio},
  month = 	 {December}
}
@Article{Jef92,
  author = 	 {K. Jeffay and D. L. Stone and F. D. Smith},
  title = 	 {Kernel Support for live digital audio and video},
  journal = 	 {Computer Communications},
  year = 	 {1992},
  volume = 	 {15},
  number = 	 {6}
}
@inproceedings{Jef92-1,
  author    = {Kevin Jeffay},
  title     = {Scheduling Sporadic Tasks with Shared Resources in Hard-Real-Time Systems},
  booktitle = {Proceedings of the IEEE Real-Time Systems Symposium},
  year      = 1992,
  month    = {December},
  address   = {Phoenix, AZ}
}
@inproceedings{Jef93-1,
  author    = {Kevin Jeffay and Donald L. Stone},
  title     = {Accounting for Interrupt Handling Costs in Dynamic Priority 
                 Task Systems},
  booktitle = {IEEE Real Time System Symposium},
  year      = 1993,
  pages     = {212--221},
  key       = {scheduling, DMA}
}
@inproceedings{Jef93-2,
  author    = {Kevin Jeffay and Donald L. Stone and T. Talley and F. D. Smith},
  title     = {Adaptive, Best-Effort Delivery of Digital Audio and Video 
                 Across Packet Switched Networks},
  booktitle = {Network and Operating System Support for Digital Audio and 
               Video},
  year      = 1993,
  key       = {multimedia, networking}
}
@InProceedings{Jef95,
  author = 	 {K. Jeffay and D. Bennet},
  title = 	 {A Rate-Based Execution Abstraction For Multimedia 
                    Computing},
  booktitle = 	 {Proceedings of Network and Operating System Support for Digital Audio 
                  and Video},
  year = 	 {1995}
}
@inproceedings{Jef98,
  author    = {Kevin Jeffay and F.D. SMith and A. Moorthy and J.H. Anderson},
  title     = {Proportional Share Scheduling of Operating System Services
                 for Real-Time Applications},
  booktitle = {IEEE Real Time System Symposium},
  year      = 1998,
  month    = {December},
  address   = {Madrid, Spain},
  key       = {scheduling, multimedia, real-time Unix}
}
@inproceedings{Jef99,
  author    = {K. Jeffay and S. M. Goddard},
  title     = {A Theory of Rate-Based Execution },
  booktitle = {Proceedings of the IEEE Real-Time Systems Symposium},
  year      = 1999,
  month    = {December},
  address   = {Phoenix, AZ},
  key       = {scheduling, multimedia}
}
@Article{Joh98,
  author = 	 {J. Johansonn and A. Rantzer},
  title = 	 {Computation of Piecewise Quadratic Lyapunov Functions for hybrid systems},
  journal = 	 {IEEE Transaction on Automatic Control},
  year = 	 {1998},
  OPTkey = 	 {},
  volume = 	 {43},
  number = 	 {4},
  OPTpages = 	 {},
  OPTmonth = 	 {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@inproceedings{Jon93,
  author    = {Michael B. Jones},
  title     = {Adaptive Real-Time Resource Management Supporting Composition
                 of Indipendently Authored Time-Critical Services},
  booktitle = {},
  year      = 1993,
  key    = {soft real-time, adaptive applicatiuons}
}
@InProceedings{Kan96,
  author = 	 {Hiroyuki Kaneko and John A. Stankovic and Subhabrata Sen 
                  and Krithi Ramamritham},
  title = 	 {Integrated Scheduling of Multimedia and Hard Real-Time 
                    Tasks},
  booktitle = 	 {Proceedings of the IEEE Real-Time Systems Symposium},
  key = 	 {multimedia},
  month   = {December},
  year = 	 {1996}
}
@Book{Kle75,
  author = 	 {L. Kleinrock},
  title = 	 {Queuing Systems},
  publisher = 	 {Wiley-Interscience},
  year = 	 {1975},
}
@inproceedings{Kor95,
  author    = {Gilad Koren and Dennis Shasha},
  title     = {Skip-Over: Algorithms and Complexity for Overloaded Systems 
                 that Allow Skips},
  booktitle = {IEEE Real Time System Symposium},
  year      = 1995,
  address   = "Pisa"
}
@InProceedings{Lam97,
  author = 	 {G. Lamastra and G. Lipari and G. Buttazzo and A. Casile 
                  and F. Conticelli},
  title = 	 {HARTIK 3.0: A Portable System for Developing Real-Time 
                    Applications},
  booktitle = 	 {Proceedings of the IEEE Conference on Real-Time Computing Systems and Applications},
  year = 	 {1997},
  where = 	{Taipei, Taiwan},
  month = 	 {October}
}
@Book{Lasserre,
  author = 	 {J.B. Lasserre and O. Hernandez-Lerna},
  OPTeditor = 	 {},
  title = 	 {Markov chains and invariant probabilities},
  publisher = 	 {Birkhaeuser Verlag},
  year = 	 {2003},
  OPTkey = 	 {},
  volume = 	 {Progress in mathematics: Volume 211},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  edition = 	 {second},
  OPTmonth = 	 {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@inproceedings{Leh96,
  author    = {John P. Lehoczky},
  title     = {Real-Time Queueing Theory}, 
  booktitle = {Proceedings of the IEEE Real-Time Systems Symposium},
  year      = 1996,
  month    = {December},
  key       = {scheduling, multimedia}
}
@inProceedings{Li98,
  author = 	 {B. Li and K. Nahrstedt},
  title = 	 {A Control Theoretical Model for Quality of Service Adaptations},
  booktitle = {Proceedings of Sixth International Workshop on Quality of Service},
  year      = 1998,
  key = 	 {multimedia, Qos, scheduling}
}
@InProceedings{Lip00,
  author = 	 {G.Lipari and S.K. Baruah},
  title = 	 {Greedy reclaimation of unused bandwidth in constant bandwidth servers},
  booktitle = 	 {IEEE Proceedings of the 12th Euromicro Conference on Real-Time Systems},
  OPTcrossref =  {},
  OPTkey = 	 {},
  OPTpages = 	 {},
  year = 	 {2000},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  address = 	 {Stokholm, Sweden},
  month = 	 {June},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@TechReport{Lip97,
  author = 	 {Giuseppe Lipari},
  title = 	 {Resource Constraints Among Periodic and Aperiodic Tasks},
  institution =  {RETIS Lab - Scuola Superiore di Studi Universitari e 
                  Perfezionamento S. Anna},
  number = 	 {9702},
  year = 	 {1997},
  address = 	 {Via Carducci, 40 - 56100 Pisa},
  month = 	 {November}
}
@inproceedings{Lip98,
  author    = {Giuseppe Lipari and Giorgio Buttazzo and Luca Abeni},
  title     = {A Bandwidth Reservation Algorithm for Multi-Application Systems},
  booktitle = {IEEE Real Time Computing Systems and Applications},
  year      = 1998,
  month    = {October},
  address   = {Hiroshima, Japan},
}
@Article{Liu73,
  title = 	 {Scheduling alghorithms for multiprogramming in a hard 
                    real-time environment},
  author = 	 {C. L. Liu and J. Layland},
  journal = 	 {Journal of the ACM},
  year = 	 {1973},
  volume =       {20},
  number =       {1}
}
@inproceedings{Liu87,
  author    = {J. W. S. Liu and K. J. Lin and S. Natarjan},
  title     = {Scheduling Real-Time, Periodic Jobs Using Imprecise 
               Results},
  booktitle = {IEEE Real Time System Symposium},
  year      = 1987,
  month    = "December",
  address   = "San Jose, California"
}
@InProceedings{Lu00,
  author = 	 {C. Lu and J. A. Stankovic and T. F. Abdelzaher and G. Tao and S. H. Son and M. Marley},
  title = 	 {Performance Specifications and Metrics for Adaptive Real-Time Systems},
  booktitle = 	 {Proceedings of the 21th IEEE Real-Time Systems Symposium},
  OPTcrossref =  {},
  OPTkey = 	 {},
  OPTpages = 	 {},
  year = 	 {2000},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  address = 	 {Orlando, FL},
  month = 	 {December},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@InProceedings{Lu99,
  author = 	 {C. Lu and J. A. Stankovic and G. Tao and S. H. Son},
  title = 	 {Design and Evaluation of a Feedback Control EDF Scheduling Algorithm},
  booktitle = 	 {Proceedings of the 20th IEEE Real-Time Systems Symposium},
  OPTcrossref =  {},
  OPTkey = 	 {},
  OPTpages = 	 {},
  year = 	 {1999},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  address = 	 {Phoenix, AZ},
  month = 	 {December},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@Misc{Luc99,
  OPTkey = 	 {},
  author = 	 {George Lucas},
  title = 	 {Star Wars Episode {I}: The Phantom Menace},
  OPThowpublished = {},
  month = 	 {May},
  year = 	 {1999},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@InProceedings{Mar04,
  author =	 {Marzario, Luca and Lipari, Giuseppe and Balbastre,
                  Patricia and Crespo, Alfons},
  title =	 {{IRIS}: a new reclaiming algorithm for server-based
                  real-time systems},
  booktitle =	 {Real-Time Application Symposium ({RTAS} 04)},
  editor =	 {},
  series =	 {},
  volume =	 {},
  organization = {},
  publisher =	 {},
  address =	 {Toronto (Canada)},
  pages =	 {},
  month =	 {May},
  year =	 {2004},
  note =	 {}
}
@Article{Mas90,
  author = 	 {Henry Massalin and Calton Pu},
  title = 	 {Fine-Grain Adaptive Scheduling Using Feedback},
  journal = 	 {Computing Systems},
  year = 	 {1990},
  OPTkey = 	 {},
  volume = 	 {3},
  number = 	 {1},
  OPTpages = 	 {},
  OPTmonth = 	 {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@MastersThesis{Mas92,
  author = 	 {Henry Massalin},
  title = 	 {Synthesis: An Efficient Implementation of Fundamental 
                    Operating System Services},
  school = 	 {Columbia University},
  year =         {1992}
}
@InProceedings{Mer93-1,
  author = 	 {Clifford W. Mercer and Raguanathan Rajkumar and Hideyuki 
                  Tokuda},
  title = 	 {Applying Hard Real-Time Technology to Multimedia 
                    Systems},
  booktitle = 	 {Workshop on the Role of Real-Time in Multimedia/Interactive
                  Computing System},
  year =         {1993},
  key = 	 {multimedia}
}
@TechReport{Mer93-2,
  author = 	 {Clifford W. Mercer and Stefan Savage and Hideyuki Tokuda},
  title = 	 {Processor Capacity Reserves for Multimedia Operating 
                    Systems},
  institution =  {Carnegie Mellon University},
  year = 	 {1993},
  key = 	 {multimedia, Qos, scheduling},
  address = 	 {Pittsburg},
  month = 	 {May},
  number = 	 {CMU-CS-93-157}
}
@InProceedings{Nak94,
  author = 	 {Tatsuo Nakajima and Hiroshi Tezuka},
  title = 	 {A Continuous Media Application supporting Dynamic QOS 
                    Control on Real-Time Mach},
  year  =        {1994},
 booktitle = 	 {ACM Multimedia},
  key = 	 {multimedia, QoS, application}
}
@InProceedings{Nak98,
  author = 	 {Tatsuo Nakajima},
  title = 	 {Resource Reservation for Adaptive QOS Mapping in Real-Time Mach},
  year  =        {1998},
  month    = {April},
 booktitle = 	 {Sixth International Workshop on Parallel and Distributed Real-Time Systems (WPDRTS)},
  key = 	 {multimedia, QoS}
}
@misc{Nemesis97,
    author = {Dickson Reed and Robin Fairbairns (eds.)},
    title = {Nemesis, The Kernel -- Overview},
    month = {May},
    year = {1997}
}
@InProceedings{Opa96,
  author = 	 {Don Aparah},
  title = 	 {Adaptive Resource Management in a Multimedia Operating 
  			System},
  booktitle = 	 {Proceedings of the 8th International Workshop on Network
  			and Operating System Support for Digital Audio 
			and Video},
  key = 	 {multimedia, QoS},
  year = 	 {1998},
  address = 	 {Cambridge, UK},
  month = 	 {July}
}
@InProceedings{Pal03,
  author = 	 {L. Palopoli and L. Abeni and G. Lipari},
  title = 	 {On the application of hybrid control to CPU Reservations},
  booktitle = 	 {Hybrid systems Computation and Control (HSCC03)},
  year = 	 {2003},
month ={april},
address={Prague},
  OPTkey = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTpages = 	 {},
  OPTmonth = 	 {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@Article{ Par93,
  Author = "A. K. Parekh and R. G. Gallager",
  Title = "{A generalized processor sharing approach to flow control in
            integrated services networks: the single-node case}",
  Journal = "IEEE/ACM Transactions on Networking",
  Volume = "1",
  Number = "3",
  Month = "June",
  Year = "1993",
  Pages = "344--357" }
@Article{ Par94,
  Author = "A. K. Parekh and R. G. Gallager",
  Title  = "{A generalized processor sharing approach to flow control in
            intergrated services networks: the multiple node case}",
  Journal= "IEEE/ACM Transanctions on Networking",
  Volume = "2",
  Month  = "April",
  Year   = "1994",
  Pages  = "137--150" }
@inproceedings{RTAS04-CAPM,
     author       = { Abeni, Luca and Cucinotta, Tommaso and Lipari, Giuseppe and Marzario, Luca and Palopoli, Luigi},
     title        = {Adaptive reservations in a Linux based environment},
     booktitle    = {Proceeding of the Real-Time Application Symposium (RTAS 04)},
     editor       = {},
     series       = {},
     volume       = {},
     organization = {IEEE},
     publisher    = {},
     address      = {Toronto (Canada)},
     pages        = {},
     month        = {May},
     year         = {2004},
     note         = {}
}
@InProceedings{Raj00,
  author =       {Ragunathan (Raj) Rajkumar and Luca Abeni and Dionisio de Niz and Sourav Ghosh and Akihiko Miyoshi and Saowanee Saewong},
  title =        {Recent Developments with Linux/RK},
  booktitle =    {Proceedings of the Second Real-Time Linux Workshop},
  address =      {Orlando, Florida},
  year =         {2000},
  month =        {november}
}
@InProceedings{Raj98,
  author = 	 {Raj Rajkumar and Kanaka Juvva and Anastasio Molano and 
                  Shuichi Oikawa},
  title = 	 {Resource Kernels: A Resource-Centric Approach to Real-Time
                   and Multimedia Systems},
  booktitle = 	 {Proceedings of the SPIE/ACM Conference on Multimedia Computing and Networking},
  key = 	 {multimedia, QoS, resource reservation},
  year = 	 {1998},
  month = 	 {January}
}
@inproceedings{Rau97,
  author    = {Rauganathan Rajkumar and Chen Lee and John Lehoczky and 
               Dan Siewiorek},
  title     = {A Resource Allocation Model for QoS Management},
  booktitle = {Proceedings of the IEEE Real Time Systems Symposium},
  mounth    = {December},
  year      = 1997,
  address   = ""
}
@InProceedings{Reg01,
  author =       {John Regehr and John A. Stankovic},
  title =        {Augmented {CPU Reservations}: Towards Predictable
                 Execution on General-Purpose Operating Systems},
  booktitle =    {Proceedings of the IEEE Real-Time Technology 
                 and Applications Symposium (RTAS 2001)},
  month =        may,
  year =         {2001},
  address =      {Taipei, Taiwan}
}
@InProceedings{Ros97,
  author = 	 {Daniela Ivan-Rosu and Karsten Schwan and Sudhakar
    Yalamanchili and Rakesh Jha},
  title = 	 {On Adaptive Resource Allocation for Complex},
  booktitle = 	 {Proceedings of the Real-Time Systems Symposium},
  OPTcrossref =  {},
  OPTkey = 	 {},
  OPTpages = 	 {},
  year = 	 {1997},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  address = 	 {San Francisco, CA},
  month = 	 {December},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@InProceedings{Ros98,
  author = 	 {D. Rosu and K. Schwan and S. Yalamanchili},
  title = 	 {FARA - A Framework for Adaptive Resource Allocation in Complex Real-Time Systems},
  booktitle = 	 {Proceedings of the IEEE Real-Time Technology and Applications Symposium},
  year = 	 {1998},
  address = 	 {Denver, Colorado},
  month = 	 {June}
}
@InProceedings{Sch,
  author = 	 {Henning Schulzrinne and James F. Kurose},
  title = 	 {Distribution of the Loss Period for Some Queues in 
                  Continuous and Discrete Time},
  booktitle = 	 {}
}
@Article{Sha90,
  author = 	 {Lui Sha and Ragunathan Rajkumar and John P. Lehoczky},
  title = 	 {Priority Inheritance Protocols: An Approach to Real-Time 
                    Synchronization},
  journal = 	 {IEEE Transactions on Computers},
  key = 	 {sinchronization},
  volume = 	 {39},
  number = 	 {9},
  month = 	 {September},
  year =         {1990}
}
@Article{Sla64,
  author = 	 {J. Slaughter},
  title = 	 {Quantization Errors in Digital Control Systems},
  journal = 	 {IEEE Transactions on Automatic Control},
  year = 	 {1964},
  OPTkey = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTpages = 	 {},
  OPTmonth = 	 {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@Article{Spr89,
  author = 	 {B. Sprunt and L. Sha and J. P. Lehoczky},
  title = 	 {Aperiodic scheduling for hard real-time systems},
  journal = 	 {The Journal of Real-Time Systems},
  year = 	 {1989}
}
@InProceedings{Spu94,
  author = 	 {M. Spuri and G. C. Buttazzo},
  title = 	 {Efficient Aperiodic Service Under the Earliest Deadline 
                    Scheduling},
  booktitle = 	 {Proceedings of the IEEE Real-Time Systems Symposium},
  year = 	 {1994},
  month =        {December}
}
@InProceedings{Spu95,
  author = 	 {Marco Spuri and Giorgio Buttazzo and Fabrizio Sensini},
  title = 	 {Robust Aperiodic Scheduling under Dynamic Priority 
                    Systems},
  booktitle = 	 {Proceedings of the IEEE Real-Time Systems Symposium},
  year = 	 {1995},
  month = 	 {December}
}
@Article{Spu96,
  author = 	 {M. Spuri and G. Buttazzo},
  title = 	 {Scheduling Aperiodic Tasks in Dynamic Priority Systems},
  journal = 	 {Real-Time Systems},
  year = 	 {1996},
  volume = 	 {10},
  number =       {2}
}
@inproceedings{Sta99,
  author    = {John A. Stankovic and Cheyang Lu and Sang H. Son},
  title     = {The Case for Feedback Control in Real-Time Scheduling},
  booktitle = {Proceedings of the IEEE Euromicro Conference on Real-Time},
  year      = 1998,
  month    = {June},
  address   = {York, England},
  key       = {scheduling}
}
@InProceedings{Ste99,
  author =       {David Steere and Ashvin Goel and Joshua Gruenberg and Dylan
                  McNamee and Calton Pu and Jonathan Walpole},
  title =        {A Feedback-driven Proportion Allocator for Real-Rate
                  Scheduling},
  booktitle =    {Proceedings of the Third usenix-osdi},
  key =          {operating systems, resource allocation, feedback control},
  year =         {1999},
  month =        {feb},
  publisher =    {pub-usenix},
}
@inproceedings{Sto96,
  author    = {Ian Stoica and Hussein Abdel-Wahab and Kevin Jeffay and Sanjoy 
               K. Baruah and Johannes E. Gehrke and C. Greg Plaxton},
  title     = {A Proportional Share Resource Allocation Algorithm for 
                 Real-Time, Time-Shared Systems},
  booktitle = {Proceedings of the IEEE Real-Time Systems Symposium},
  year      = 1996,
  month    = {December},
  key       = {scheduling, multimedia, real-time Unix}
}
@InProceedings{Sto97,
  author = 	 {I. Stoica and H. Abdel-Wahab and K. Jeffay},
  title = 	 {On the Duality between Resource Reservation and Proportional Share Resource Allocation },
  booktitle = 	 {Proceedings of the SPIE Conference on Multimedia Computing and Networking},
  pages = 	 {207-214},
  year = 	 {1997},
  volume = 	 {3020},
  address = 	 {San Jose, CA},
  month = 	 {February}
}
@TechReport{Str,
  author = 	 {Hermann Streich},
  title = 	 "``TaskPair-Scheduling: An Approach for Dynamic Real-Time 
                    Systems''",
  institution =  {Research Division of Responsive Systems National Center for 
                  Computer Science},
  year = 	 {},
  key = 	 {scheduling, dynamic real-time systems, guarantee, exception 
                  handling}
}
@InProceedings{Tal96,
  author = 	 {T. Talley and Kevin Jeffay},
  title = 	 {A General Framework for Continuous Media Transmission
                    Control},
  year = 	 {1996},
  booktitle = 	 {21st IEEE Conference on Local Computer Network},
  address = 	 {Minneapolis},
  OPTmonth = 	 {October}
}
@InProceedings{Tia95,
  author = 	 {T.-S. Tia and Z. Deng and M. Shankar and M. Storch and J. 
                  Sun and L.-C. Wu and J. W.-S. Liu},
  title = 	 {Probabilistic Performance Guarantee for Real-Time Tasks 
                    with Varying Computation Times},
  booktitle = 	 {Proceedings of the IEEE Real-Time Technology and Applications Symposium},
  key = 	 {formal methods, probabilistic guarantee},
  year = 	 {1995},
  address = 	 {Chicago,Illinois},
  month = 	 {January},
  pages = 	 {164-173}
}
@inproceedings{Tok90,
key	= {Tokuda90},
author	= {H. Tokuda and T. Nakajima and P. Rao},
title	= {Real-Time Mach: Toward a Predictable Real-Time System},
booktitle = {USENIX Mach Workshop},
pages	= {73-82},
month	= {October},
year	= {1990},
}
@Manual{VESA,
  title = 	 {VESA BIOS Extensions - Core Functions - Version 2.0},
  organization = {VESA}
}
@InProceedings{Wal94,
  author = 	 {C. A. Waldspurger and W. E. Weihl.},
  title = 	 {Lottery Scheduling: Flexible Proportional-Share Resource Management},
  booktitle = 	 {First Symposium on Operating System Design and Implementation},
  pages = 	 {1-12},
  year = 	 {1994},
  month = 	 {November}
}
@TechReport{Wal95,
  author = 	 {Carl A. Waldspurger and William E. Weihl},
  title = 	 {Stride Scheduling: Deterministic Proportional-Share Resource Mangement},
  institution =  {Massachusetts Institute of Technology},
  year = 	 {1995},
  number = 	 {MIT/LCS/TM-528},
  month = 	 {June}
}
@inproceedings{Wan98,
  author    = {Y.C. Wang and K.J. Lin},
  title     = {Enanching the Real-Time Capability of the Linux Kernel},
  booktitle = {IEEE Real Time Computing Systems and Applications},
  year      = 1998,
  month    = {October},
  address   = {Hiroshima, Japan},
}
@InProceedings{Wel99,
  author = {Lonnie R. Welch and Paul V. Werme and Larry A. Fontenot and
     Michael W. Masters and Behrooz A. Shirazi and Binoy Ravindran and
     D. Wayne Mills},
  title = {Adaptive QoS and Resource Management Using a Posteriori Workload Characterizations},
  booktitle = 	{Proceedings of The Real-Time Technology and Applications Symposium},
  month = {June},
  address = {Vancouver, British Columbia, Canada},
  year = {1999}
}
@Article{Yau97,
  author = 	 {David K. Y. Yau and Siman S. Lam},
  title = 	 {Adaptive Rate Controlled Scheduling for Multimedia Applications},
  journal = 	 {IEEE/ACM Transactions on Networking},
  year = 	 {1997},
  month = 	 {August}
}
@Article{Zha95,
  author = 	 {H. Zhang},
  title = 	 {Service Disciplines For Guaranteed Performance Service in
Packet-Switching Networks},
  journal = 	 {Proceedings of the IEEE},
  year = 	 {1995},
  OPTkey = 	 {},
  volume = 	 {10},
  number = 	 {83},
  OPTpages = 	 {},
  month = 	 {October},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@Article{elg97,
  author = 	 {L. El Ghaoui and F. Oustry and M. Ait Rami},
  title = 	 { A cone complementary linearization algorithm for static output-feedback and related problems },
  journal = 	 {IEEE Transaction and Automatic Control},
  year = 	 {1997},
  month = 	 {August},
}




@TechReport{qosfbtech,
  author =       {Luigi Palopoli and Tommaso Cucinotta},
  title =        {{QoS} control in reservation-based scheduling},
  institution =  {Scuola Superiore S. Anna},
  year =         {2003}
}

@Book{Liu00,
  author = 	 {Jane Liu},
  title = 	 {Real-time sytems},
  publisher = 	 {Prentice Hall},
  year = 	 {2000},
  OPTkey = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  OPTedition = 	 {},
  OPTmonth = 	 {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}

@inproceedings{Tok93,
 author = {Hideyuki Tokuda and Takuro Kitayama},
 title = {Dynamic QOS Control based on Real-Time Threads},
 booktitle = {NOSSDAV '93: Proceedings of the 4th International Workshop on Network and Operating System Support for Digital Audio and Video},
 year = {1994},
 isbn = {3-540-58404-8},
 pages = {114--123},
 publisher = {Springer-Verlag},
 address = {London, UK},
 }



@Article{Bra02,
  author = 	 {Scott Brandt and Gary Nutt},
  title = 	 {Flexible soft real-time processing in middleware},
  journal = 	 {Real-time systems journal, Special issue on Flexible scheduling in real-time systems},
  year = 	 {2002},
  OPTkey = 	 {},
  volume = 	 {22},
  number = 	 {1-2},
  pages = 	 {77-118},
  month = 	 {January-March},
  OPTnote = 	 {},
  OPTannote = 	 {}
}


@InProceedings{Par92,
  author = 	 {A. Parekh and R.G. Gallager},
  title = 	 {A generalized processor sharing approach to flow control - the single node case},
  OPTcrossref =  {},
  OPTkey = 	 {},
  booktitle = {Proceedings of INFOCOM '92},
  OPTpages = 	 {},
  year = 	 {1992},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  OPTmonth = 	 {},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}




@InProceedings{Ben96,
  author = 	 {J. C. R. Bennett e H.Zhang},
  title = 	 {$WF^{2}Q$: Worst-case fair weighted fair queueing},
  OPTcrossref =  {},
  OPTkey = 	 {},
  booktitle = {Proceedings of IEEE INFOCOM '96},
  OPTpages = 	 {},
  year = 	 {1996},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  OPTmonth = 	 {},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@InProceedings{Ben96-2,
  author = 	 { J. C. R. Bennett e H.Zhang},
  title = 	 {Hierarchical packet fair queueing algorithms},
  OPTcrossref =  {},
  OPTkey = 	 {},
  booktitle = {P Proceedings of ACM SIGMETRICS '96},
  OPTpages = 	 {},
  year = 	 {1996},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  OPTmonth = 	 {},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}


@Article{abe05,
  author = 	 {L. Abeni and T. Cucinotta and G. Lipari and L. Marzario and L. Palopoli,},
  title = 	 {QoS Management Through Adaptive Reservations},
  journal = 	 {Real-Time Systems},
  year = 	 {2005},
  OPTkey = 	 {},
  volume = 	 {29},
  number = 	 {2-3},
  pages = 	 {131-155},
  month = 	 {March},
  OPTnote = 	 {},
  OPTannote = 	 {}
}

@Article{gil05,
  author = 	 {Christopher D. Gill and Jeanna M. Gossett and David Corman and Joseph P. Loyall and Richard E. Schantz and Michael Atighetchi and Douglas C. Schmidt},
  title = 	 {Integrated Adaptive QoS Management in Middleware: A Case Study},
  journal = 	 {Real-Time Systems},
  year = 	 {2005},
  OPTkey = 	 {},
  volume = 	 {29},
  number = 	 {2-3},
  pages = 	 {101-130},
  month = 	 {march},
  OPTnote = 	 {},
  OPTannote = 	 {}
}


@Book{But97,
  author =	 {G. Buttazzo},
  title =	 {Hard Real-Time Computing Systems: Predictable
                  Scheduling Algorithms and Applications},
  publisher =	 {Kluwer Academic Publishers},
  year =	 {1997},
  address =	 {Boston},
}

@Article{cer02,
  author =	 "Cervin, Anton and Eker, Johan and Bernhardsson, Bo
                  and {\AA}rz{\'e}n, Karl-Erik",
  project =	 "ARTES",
  title =	 "Feedback-Feedforward Scheduling of Control Tasks",
  journal =	 "Real-Time Systems",
  note =	 "To appear",
  year =	 2002
}

@Article{Stan02,
  author = 	 {  C. Lu, J. Stankovic, G. Tao and S. Son},
  title = 	 { Feedback Control Real-Time Scheduling: Framework, Modeling and Algorithms},
  journal = 	 {Ppecial issue of RT Systems Journal on Control-Theoretic Approaches to Real-Time Computing},
  year = 	 {2002},
  OPTkey = 	 {},
  volume = 	 {23},
  number = 	 {1/2},
  OPTpages = 	 {},
  month = 	 {September},
  OPTnote = 	 {},
  OPTannote = 	 {}
}


@InProceedings{reg04,
  author = 	  {Eric Eide and Tim Stack and John Regehr and Jay Lepreau},
  title = 	 { Dynamic CPU Management for Real-Time, Middleware-Based Systems},
  OPTcrossref =  {},
  OPTkey = 	 {},
  booktitle = {Proc. of
10th IEEE Real-Time and Embedded Technology and Applications Symposium},
  OPTpages = 	 {},
  year = 	 {2004},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  address = 	 {Toronto, Canada},
  month = 	 {May},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
 @InProceedings{stan02-b,
  author = 	 {Ronghua Zhang and Chenyang Lu and Tarek F. Abdelzaher and John A. Stankovic},
  title = 	 {ControlWare: A Middleware Architecture for Feedback Control of Software Performance},
  booktitle = {Proc. of International Conference on Distributed Computing Systems},
  year = 	 {2002},
  address = 	 {Vienna, Austria},
  month = 	 {July},
}

@InProceedings{Abd04,
  author = 	 {Sherif Abdelwahed and Nagarajan Kandasamy and Sandeep Neema},
  title = 	 {Online Control for Self-Management in Computing Systems},
  OPTcrossref =  {},
  OPTkey = 	 {},
  booktitle = {Proc. of 10th IEEE Real-Time and Embedded Technology and Applications Symposium},
  OPTpages = 	 {},
  year = 	 {2004},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  address = 	 {Toronto, Canada},
  month = 	 {May},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}

@InProceedings{Pal03-2,
title = {Quality of service control in soft real-time applications},
author = {Luigi Palopoli and Tommaso Cucinotta and Antonio Bicchi},
booktitle = {Proc. of the IEEE 2003 conference on decision and control (CDC02)},
year = {2003},
address = {Maui, Hawai, USA},
month = {December}
}

@inproceedings{ rajkumar98practical,
    author = "Ragunathan Rajkumar and Chen Lee and John P. Lehoczky and Daniel P. Siewiorek",
    title = "Practical Solutions for {QoS}-Based Resource Allocation",
    booktitle = "{RTSS}",
    pages = "296--306",
    year = "1998",
    url = "citeseer.ist.psu.edu/rajkumar98practical.html" }



@InProceedings{Wu04,
  author = 	 {C.C. Wust and L. Steffens and R.J. Bril and   W.F.J. Verhaegh},
  title = 	 {QoS control strategies for high-quality video processing},
  OPTcrossref =  {},
  OPTkey = 	 {},
  booktitle = {Proceedings. 16th Euromicro Conference on Real-Time Systems - ECRTS 2004},
  pages = 	 {3-12},
  year = 	 {2004},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  OPTmonth = 	 {},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@inproceedings{QuO,
    author = "Yamuna Krishnamurthy and Vishal Kachroo and David A. Karr and Craig Rodrigues and Joseph P. Loyall and Richard E. Schantz and Douglas C. Schmidt",
    title = "Integration of QoS-Enabled Distributed Object Computing Middleware for Developing Next-Generation Distributed Application",
    booktitle = "{LCTES}/{OM}",
    pages = "230-237",
    year = "2001",
    url = "citeseer.ist.psu.edu/krishnamurthy01integration.html" }


@InProceedings{Val04,
  author = 	 {Paolo Valente},
  title = 	 {Exact GPS simulation with logarithmic complexity, and its application to an optimally fair scheduler},
  OPTcrossref =  {},
  OPTkey = 	 {},
  booktitle = { Proceedings of ACM SIGCOMM'04},
  OPTpages = 	 {},
  year = 	 {},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  OPTmonth = 	 {},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}


@InProceedings{Goe04,
  author = 	 {Ashvin Goel and Jonathan Walpole and Molly Shor},
  title = 	 {Real-Rate Scheduling},
  OPTcrossref =  {},
  OPTkey = 	 {},
  booktitle = {Proc.of rtas04 },
  pages = 	 {434},
  year = 	 {2004},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  OPTmonth = 	 {},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}


@inproceedings{RK,
    author = "Shuichi Oikawa and R. Rajkumar",
    title = "Portable {RK}: A Portable Resource Kernel for Guaranteed and Enforced Timing Behavior",
    booktitle = "{IEEE} Real Time Technology and Applications Symposium",
    pages = "111-120",
    year = "1999",
    url = "citeseer.ist.psu.edu/oikawa99portable.html" }


 	 @Book{adaptFilt,
  author = 	 {Ali H. Saye},
  ALTeditor = 	 {},
  title = 	 {Fundamentals of Adaptive Filtering},
  publisher = 	 {Wiley-IEEE Press},
  year = 	 {2003},
  OPTkey = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  OPTaddress = 	 {},
  OPTedition = 	 {},
  month = 	 {June},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@PhdThesis{Clark90,
  author = 	 {R. Clark},
  title = 	 {Scheduling Dependent Real-time activities},
  school = 	 {Carnegie Mellon},
  year = 	 {1990},
  key = 	 {CMUCS-90-155}, 
  OPTtype = 	 {},
  OPTaddress = 	 {},
  OPTmonth = 	 {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}




 @InProceedings{Cal02,
  author = 	 {G. Calafiore and M.C. Camp},
  title = 	 {Interval Predictors for Unknown Dynamical Systems: an Assessment of Reliability},
  OPTcrossref =  {},
  OPTkey = 	 {},
  booktitle = {41st IEEE Conference on Decision and Control (cdc02)},
  OPTpages = 	 {},
  year = 	 {2002},
  OPTeditor = 	 {},
  OPTvolume = 	 {},
  OPTnumber = 	 {},
  OPTseries = 	 {},
  address = 	 {2002},
  month = 	 {December},
  OPTorganization = {},
  OPTpublisher = {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}
@InProceedings{Sae99,
author = {S. Saewong and R. Rajkumar},
title={ Cooperative scheduling of multiple resources},
booktitle={IEEE RTSS 99},
year = {1999},
month = {December}
}

@TechReport{Pal06,
  author = 	 {Luigi Palopoli, Tommaso Cucinotta},
  title = 	 {Feeback scheduling for pipelines of tasks},
  institution =  {Uiversity of Trento},
  year = 	 {2006},
  OPTkey = 	 {},
  OPTtype = 	 {},
  OPTnumber = 	 {},
  OPTaddress = 	 {},
  OPTmonth = 	 {},
  OPTnote = 	 {},
  OPTannote = 	 {}
}

